SUPC_BBPS_Type Union Reference

## Data Fields

struct {
uint32_t CONF:1
uint32_t __pad0__:1
uint32_t WAKEEN:1
uint32_t __pad1__:29
} | bit
uint32_t | reg

## Detailed Description

Definition at line 339 of file supc.h.

## Field Documentation

## __pad0__

uint32_t SUPC_BBPS_Type::__pad0__

bit: 1 Reserved

Definition at line 342 of file supc.h.

## __pad1__

uint32_t SUPC_BBPS_Type::__pad1__

bit: 3..31 Reserved

Definition at line 344 of file supc.h.

## bit

struct { ... } SUPC_BBPS_Type::bit

Structure used for bit access

## CONF

uint32_t SUPC_BBPS_Type::CONF

bit: 0 Battery Backup Configuration

Definition at line 341 of file supc.h.

## reg

uint32_t SUPC_BBPS_Type::reg

Type used for register access

Definition at line 346 of file supc.h.

## WAKEEN

uint32_t SUPC_BBPS_Type::WAKEEN

bit: 2 Wake Enable

Definition at line 343 of file supc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/supc.h